/*
Plugin Name: Day of Defeat Location
Plugin Filename: DoD_Location.amxx
Plugin Version: 1.0
Author: Rich Weeds Nagel
Email Address: richnagel@centurylink.net
Web Site: http://www.richnagel.net

Description: This plugin simply adds the broken "status" console command back to Day of Defeat.

Console Command Usage: cl_location = Display current client location in the console.

Sample Console Output: "Current client location: 921.6 x, -263.7 y, -43.9 z"

Compiled Using: http://www.dodplugins.net/forums/cmps_index.php?page=compiler
*/

#include <amxmodx>
#include <amxmisc>
#include <fakemeta>

public plugin_init() {
	register_plugin("DoD Location","1.0","Rich Weeds Nagel")
	register_clcmd("cl_location", "cmd_cl_location");
}

public cmd_cl_location( id ) {
	new Float:origin[3];
	pev( id, pev_origin, origin );
	console_print( id, "Current client location: %0.1f x, %0.1f y, %0.1f z", origin[0], origin[1], origin[2] );
	return PLUGIN_HANDLED;
}
